DEACTIVATE_LOCKED_SU(9)

NAME
deactivate_locked_super - drop an active reference to superblock

SYNOPSIS

void deactivate_locked_super(struct super_block * s);

ARGUMENTS

s
    superblock to deactivate

DESCRIPTION

Drops an active reference to superblock, converting it into a temprory one if there is no other active references left. In that case we tell fs driver to shut it down and drop the temporary reference we had just acquired.

Caller holds exclusive lock on superblock; that lock is released.

COPYRIGHT